package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttPipeBase;
import org.apache.ibatis.annotations.Mapper;

/** 管道信息 Mapper */
@Mapper
public interface AttPipeBaseMapper {
    /**
     * 查询管道信息列表
     * 
     * @param attPipeBase 查询条件
     * @return 管道信息列表
     */
    public List<AttPipeBase> selectAttPipeBaseList(AttPipeBase attPipeBase);

    /**
     * 通过管道编码查询管道信息
     * 
     * @param pipeCode 管道编码
     * @return 管道信息
     */
    public AttPipeBase selectAttPipeBaseById(String pipeCode);

    /**
     * 通过管道编码删除管道信息
     * 
     * @param pipeCode 管道编码
     * @return 影响行数
     */
    public int deleteAttPipeBaseById(String pipeCode);

    /**
     * 批量删除管道信息
     * 
     * @param pipeCodes 管道编码数组
     * @return 影响行数
     */
    public int deleteAttPipeBaseByIds(String[] pipeCodes);

    /**
     * 修改管道信息
     * 
     * @param attPipeBase 管道信息
     * @return 影响行数
     */
    public int updateAttPipeBase(AttPipeBase attPipeBase);

    /**
     * 新增管道信息
     * 
     * @param attPipeBase 管道信息
     * @return 影响行数
     */
    public int insertAttPipeBase(AttPipeBase attPipeBase);
}
